:: Legacy Route :: This resource returns a list of findings for latest analysis for a given TOE.

::Legacy Route please use findings_paginated:: This use case describes how the Findings API is used to retrieve a list of findings for the latest analysis for a TOE. The toe_id is passed in the API request. In this scenario, all findings for that TOE are returned in the response. To limit or filter the data returned in the response, you can use various parameters in the API request:

  • Filter by an asset value: You can use the asset_value parameter to search for findings with high, medium, or low asset value.
  • Filter by severity: You can use the severity parameter to search for findings with high, medium, or low severity.
  • Filter by asset value and severity: You can use asset_value and severity parameters to search for findings with high, medium, or low asset value and severity.
  • Filter by multiple asset values: You can use the asset_value parameter multiple times to search for findings with multiple asset values.
Path Params
string
required

Filter by the Toe ID.

Query Params
boolean

Filter findings based on customer risk policy. This can be setup at https://portal.riskrecon.com/portal/risk-policy.

string

Filter results by the Security Domain.

string

Filter results by the Security Criteria.

asset_value[]
array of strings

This parameter filters finding results by asset_values. An example of a query string with multiple asset_values would look like:

?asset_value[]=high&asset_value[]=low

asset_value[]
asset_value_numeric[]
array of strings

Filter results by asset_value_numeric. An example of a query string with multiple asset_value_numeric values would look like ?asset_value_numeric[]=1&asset_value_numeric[]=3

asset_value_numeric[]
priority[]
array of integers

Filter results by priority. An example of a query string with multiple priority values would look like ?priority[]=1&priority[]=3.

priority[]
severity[]
array of strings

Filter results by severity. An example of a query string with multiple severities would look like ?severity[]=low&severity[]=medium&severity[]=high.

severity[]
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json